Lista tus viajes
curl --request GET \
--url https://clientapi.woku.app/v1/journeys \
--header 'Authorization: Bearer <token>'import requests
url = "https://clientapi.woku.app/v1/journeys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://clientapi.woku.app/v1/journeys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"enabled": true,
"version": 123,
"moments": [
{
"key": "<string>",
"tool": "woku",
"enabled": true,
"trigger": {
"type": "manual",
"event": "<string>",
"stage": "<string>",
"anchor": "sent",
"delayMs": 1,
"window": {
"startHour": 11.5,
"endHour": 12.5,
"timeZone": "America/Santiago"
},
"verification": {
"mode": "woku_signature",
"header": "<string>",
"encoding": "hex",
"prefix": "<string>",
"signedPayload": "body",
"timestampHeader": "<string>"
},
"payload": {
"subjectKey": "<string>",
"email": "customer.email",
"phone": "customer.phone",
"match": [
{
"path": "order.status",
"equals": "delivered"
}
],
"clientFields": [
{
"key": "<string>",
"path": "customer.tier"
}
]
}
},
"channel": "email",
"sequence": {
"attemptOffsetsMs": [
123
],
"deadlineMs": 2,
"cooldownAfterResponseMs": 1,
"sendWindow": {
"startHour": 11.5,
"endHour": 12.5,
"timeZone": "America/Santiago"
}
},
"name": "<string>",
"description": "<string>",
"order": 123,
"toolScope": "shared",
"toolSpec": {
"fileId": "<string>",
"imageUrl": "<string>",
"descriptionEn": "<string>",
"subject": {
"es": "<string>",
"en": "<string>"
},
"audience": {
"es": "<string>",
"en": "<string>"
}
},
"webhook": {
"verification": {
"mode": "woku_signature",
"header": "<string>",
"encoding": "hex",
"prefix": "<string>",
"signedPayload": "body",
"timestampHeader": "<string>"
},
"payload": {
"subjectKey": "<string>",
"email": "customer.email",
"phone": "customer.phone",
"match": [
{
"path": "order.status",
"equals": "delivered"
}
],
"clientFields": [
{
"key": "<string>",
"path": "customer.tier"
}
]
},
"contentMode": "manual",
"schema": {},
"content": {
"description": {
"mode": "literal",
"value": "<string>"
},
"descriptionEn": {
"mode": "literal",
"value": "<string>"
},
"folderSecondaryKey": {
"mode": "literal",
"value": "<string>"
},
"folderName": {
"mode": "literal",
"value": "<string>"
},
"parentFolderSecondaryKey": {
"mode": "literal",
"value": "<string>"
},
"parentFolderName": {
"mode": "literal",
"value": "<string>"
},
"subject": {
"es": {
"mode": "literal",
"value": "<string>"
},
"en": {
"mode": "literal",
"value": "<string>"
}
},
"audience": {
"es": {
"mode": "literal",
"value": "<string>"
},
"en": {
"mode": "literal",
"value": "<string>"
}
},
"imageUrlPath": "<string>",
"trackers": [
{
"name": "<string>",
"path": "order.id"
}
]
}
},
"presentation": {
"imageUrl": "<string>",
"copy": {
"es": "<string>",
"en": "<string>"
}
},
"fallbackAfterMs": 2,
"fallbackFromStage": "<string>",
"toolRef": {
"type": "csat",
"id": "<string>"
}
}
],
"key": "<string>",
"name": "<string>",
"authoringVersion": 1,
"startMode": "operator",
"recipients": {
"ticketEmails": [
"<string>"
],
"planMembers": [
{
"userId": "<string>",
"role": "admin"
}
],
"ticketsEnabled": true,
"plansEnabled": true
},
"routing": {
"ticketsReady": true,
"plansReady": true,
"ticketDestinationId": "<string>",
"actionPlanGroupId": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]{
"statusCode": 400,
"message": [
"email must be a valid email",
"password must be at least 8 characters"
],
"error": "Bad Request"
}v1 - journeys
Lista tus viajes
GET
/
v1
/
journeys
Lista tus viajes
Autorizaciones
Clave API secreta de la empresa.
Respuesta
Los viajes de tu empresa
Show child attributes
Show child attributes
Opciones disponibles:
1, 2 Opciones disponibles:
operator, response, webhook Show child attributes
Show child attributes
Show child attributes
Show child attributes